package com.jeethink.manage.controller;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.common.constant.Constants;
import com.jeethink.common.core.domain.AjaxResult;
import com.jeethink.common.core.page.TableDataInfo;
import com.jeethink.receive.service.IArchivesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.jeethink.common.core.controller.BaseController;

import java.util.List;

/**
 * 档案整理Controller
 * 
 * @author zjt
 * @date 2022-11-10
 */
@RestController
@RequestMapping("/manage/tidy")
public class TidyController extends BaseController
{

    @Autowired
    private IArchivesService service;

    @GetMapping("/list")
    public TableDataInfo list(ArchivesMaster archives) {

        startPage();
        archives.setNowStatus(Constants.ARCHIVES_STATUS_RK);
        List<ArchivesMaster> list = service.selectArchivesList(archives);
        return getDataTable(list);
    }
}
